Arch SectionPlane: Difference between revisions

From FreeCAD Documentation
m (template fr)
No edit summary
Line 1: Line 1:
{{GuiCommand|Name=Arch SectionPlane|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch -> Section Plane|Shortcut=S P}}
{{GuiCommand|Name=Arch SectionPlane|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch -> Section Plane|Shortcut=S P}}


====Description====
==Description==


This tool places in the current Document a section plane gizmo, which defines a section or view plane. The gizmo can be relocated and reoriented by moving and rotating it, until it describes the 2D view you want to obtain. If the tool is used with no other object selected, all objects from the scene will be included in its 2D output. If some objects are selected, then the 2D view will only consider those objects.
This tool places in the current Document a section plane gizmo, which defines a section or view plane. The gizmo can be relocated and reoriented by moving and rotating it, until it describes the 2D view you want to obtain. The Section plane object will only consider objects that were selected when it got created. Objects can later be added or removed from a SectionPlane object with the [[Arch Add]] and [[Arch Remove]] tools.


Upon creation, SectionPlane objects also insert a [[Drawing View|view]] of themselves into the active [[Drawing Module|Drawing page]], or create a new page if none exist. You can also add views of Section planes directly in the document, by using the [[Draft Shape2DView]] tool with a section plane selected.
Objects can later be added or removed from a SectionPlane object with the [[Arch Add]] and [[Arch Remove]] tools.


[[Image:Arch SectionPlane example.jpg|800px]]
Upon creation, SectionPlane objects currently create a [[Drawing Page]] object which contains the 2D projected view of the objects considered by the Section Plane.


==How to use==
[[Image:Arch SectionPlane example.jpg]]


# Select objects you want to be included in your section view
The above image shows on the left a Section Plane object being placed in the scene, and on the right its SVG 2D output. Face sorting is still not fully implemented.
# Press the {{KEY|[[Image:Arch SectionPlane.png|16px]] '''SectionPlane'''}} button or press {{KEY|S}} then {{KEY|P}} keys
# [[Draft Move|Move]]/[[Draft Rotate|rotate]] the Section Plane into correct position
# Press the {{KEY|[[Image:Std Recompute.png|16px]] '''Recompute'''}} button to update the view


====Usage====
==Options==


* With a section plane object selected, use the [[Draft Shape2DView]] tool to create a shape object representing the section view in the document
* Select objects

* Press the [[Image:Arch SectionPlane.png|16px]] '''SectionPlane''' button
[[Image:Arch Section example2.jpg|800px]]
* Move/rotate the Section Plane into correct position

* Press the [[Image:Std Recompute.png|16px]] '''Recompute''' button to update the view
* Create additional [[Drawing View|views]] of a section plane by selecting it, then using the [[Draft Drawing]] tool

[[Image:Arch Section example3.jpg|800px]]

==Properties==

* {{PropertyView|Display Size}}: The size of the section plane gizmo in the 3D view

==Scripting==

The Section Plane tool can by used in [[macros]] and from the python console by using the following function:

'''makeSectionPlane ([objectslist])''' : Creates a Section plane objects including the
given objects.

Example:

import FreeCAD, Draft, Arch
trace = Part.Line(FreeCAD.Vector (0, 0, 0),FreeCAD.Vector (2, 2, 0))
wall = Arch.makeWall(trace,width=0.1,height=1,align="Center")
Arch.makeSectionPlane([wall])


{{languages | {{es|Arch_SectionPlane/es}} {{fr|Arch_SectionPlane/fr}} {{it|Arch_SectionPlane/it}} {{se|Arch_SectionPlane/se}} }}
{{languages | {{es|Arch_SectionPlane/es}} {{fr|Arch_SectionPlane/fr}} {{it|Arch_SectionPlane/it}} {{se|Arch_SectionPlane/se}} }}

Revision as of 20:21, 6 December 2012

Arch SectionPlane

Menu location
Arch -> Section Plane
Workbenches
Arch
Default shortcut
S P
Introduced in version
-
See also
None

Description

This tool places in the current Document a section plane gizmo, which defines a section or view plane. The gizmo can be relocated and reoriented by moving and rotating it, until it describes the 2D view you want to obtain. The Section plane object will only consider objects that were selected when it got created. Objects can later be added or removed from a SectionPlane object with the Arch Add and Arch Remove tools.

Upon creation, SectionPlane objects also insert a view of themselves into the active Drawing page, or create a new page if none exist. You can also add views of Section planes directly in the document, by using the Draft Shape2DView tool with a section plane selected.

How to use

  1. Select objects you want to be included in your section view
  2. Press the SectionPlane button or press S then P keys
  3. Move/rotate the Section Plane into correct position
  4. Press the Recompute button to update the view

Options

  • With a section plane object selected, use the Draft Shape2DView tool to create a shape object representing the section view in the document

  • Create additional views of a section plane by selecting it, then using the Draft Drawing tool

Properties

  • ViewDisplay Size: The size of the section plane gizmo in the 3D view

Scripting

The Section Plane tool can by used in macros and from the python console by using the following function:

makeSectionPlane ([objectslist]) : Creates a Section plane objects including the
given objects.

Example:

import FreeCAD, Draft, Arch
trace = Part.Line(FreeCAD.Vector (0, 0, 0),FreeCAD.Vector (2, 2, 0))
wall = Arch.makeWall(trace,width=0.1,height=1,align="Center")
Arch.makeSectionPlane([wall])
Available translations of this page: Template:Se